Data Structures | Typedefs | Enumerations | Variables

# script_config.hpp File Reference

ScriptConfig stores the configuration settings of every Script. More...

`#include <map>`
`#include <list>`
`#include "../core/smallmap_type.hpp"`
`#include "../core/string_compare_type.hpp"`
`#include "../company_type.h"`
`#include "../textfile_gui.h"`
`#include "../textfile_gui.h"`

Go to the source code of this file.

## Data Structures
struct | ScriptConfigItem
| Info about a single Script setting. More...
class | ScriptConfig
| Script settings. More...
## Typedefs
typedef SmallMap< int, char * > | LabelMapping
| Map-type used to map the setting numbers to labels.
typedef std::list < ScriptConfigItem > | ScriptConfigItemList
| List of ScriptConfig items.
## Enumerations
enum | ScriptConfigFlags { SCRIPTCONFIG_NONE = 0x0, SCRIPTCONFIG_RANDOM = 0x1, SCRIPTCONFIG_BOOLEAN = 0x2, SCRIPTCONFIG_INGAME = 0x4, SCRIPTCONFIG_DEVELOPER = 0x8 }
| Bitmask of flags for Script settings. More...
## Variables
ScriptConfigItem | _start_date_config
| Configuration for AI start date, every AI has this setting.

## Detailed Description

ScriptConfig stores the configuration settings of every Script.

Definition in file script_config.hpp.

## Enumeration Type Documentation

enum ScriptConfigFlags

Bitmask of flags for Script settings.

Enumerator:

  SCRIPTCONFIG_NONE | No flags set.
  SCRIPTCONFIG_RANDOM | When randomizing the Script, pick any value between min_value and max_value when on custom difficulty setting.
  SCRIPTCONFIG_BOOLEAN | This value is a boolean (either 0 (false) or 1 (true) ).
  SCRIPTCONFIG_INGAME | This setting can be changed while the Script is running.
  SCRIPTCONFIG_DEVELOPER | This setting will only be visible when the Script development tools are active.

Definition at line 23 of file script_config.hpp.

## Variable Documentation

ScriptConfigItem _start_date_config

Configuration for AI start date, every AI has this setting.

Definition at line 19 of file ai_config.cpp.

Referenced by AIInfo::Constructor().